db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Myrna van Lunteren (JIRA)" <derby-...@db.apache.org>
Subject [jira] Updated: (DERBY-993) junitTests cannot be run with J2ME
Date Sat, 18 Mar 2006 19:10:01 GMT
     [ http://issues.apache.org/jira/browse/DERBY-993?page=all ]

Myrna van Lunteren updated DERBY-993:
-------------------------------------

    Other Info: [Patch available]

> junitTests cannot be run with J2ME
> ----------------------------------
>
>          Key: DERBY-993
>          URL: http://issues.apache.org/jira/browse/DERBY-993
>      Project: Derby
>         Type: Test
>   Components: Test
>     Versions: 10.2.0.0
>  Environment: using J2ME jvm 
>     Reporter: Myrna van Lunteren
>     Assignee: Myrna van Lunteren
>     Priority: Minor
>  Attachments: DERBY-993-skipwfoundation.diff, DERBY-993-skipwfoundation.stat, DERBY-993_2006_03_18.diff
>
> The test suite junitTests/LangSuite, and the .junit tests jdbcapi/SURTest.java and jdbcapi/SURQueryMixTest.java
fail with J2ME, because it uses java.sql.Driver.
> There should be a way to use java.sql.DataSource instead of the Driver mechanism.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message